<?php

namespace EventPortal\Domain\Agenda;

use Illuminate\Validation\ValidationException;
use Illuminate\Validation\Validator;

class SessionOverlap
{
    public static function throwValidationExceptionIfOverlapping(Validator $validator, bool $overlapping): void
    {
        if ($overlapping === false) {
            return;
        }

        $validator->errors()->add('session-start-time', 'The session cannot overlap another session');
        $validator->errors()->add('session-end-time', 'The session cannot overlap another session');

        throw new ValidationException($validator);
    }
}
